DH_DWZ(1)

NAME
dh_dwz - optimize DWARF debug information in ELF binaries via dwz

SYNOPSIS
dh_dwz [debhelper options] [-Xitem] [-- params]

DESCRIPTION
Caveat: This tool is experimental and may disappear or change behaviour without any notice.

dh_dwz is a debhelper program that will optimize the (uncompressed) size of the DWARF debug information in ELF binaries. It does so by running dwz(1) on all the ELF binaries in the package.

OPTIONS

-Xitem, --exclude=item
    Exclude files that contain item anywhere in their filename from being stripped. You may use this option multiple times to build up a list of things to exclude.

-- params
    Pass params to dwz(1) when it processes ELF binaries. This is mostly useful for setting memory related parameters (e.g. -l and -L).

NOTES
If the DEB_BUILD_OPTIONS environment variable contains nostrip, nothing will be stripped, in accordance with Debian policy (section 10.1 "Binaries").

While this tool technically does not remove debug information from binaries, it is still skipped when the DEB_BUILD_OPTIONS environment variable contains nostrip. This is because nostrip is often used to optimize build times (e.g. for "build and test"-cycles) rather than optimizing for size.

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Niels Thykier <niels@thykier.net>